Development Requirements

Android development requirements including compatible hardware, software, and SDK information.

This page contains the software development kit (SDK) requirements needed to develop Unreal Engine (UE) projects for Android devices, as well as compatible hardware for the current version of UE.

Current Development Requirements

Current SDK Information

  • Current UE Version: 5.1

    • Android Studio Version: 4.0

    • Minimum SDK Version for compilation: 30

      • Recommended: 32

      • Minimum target SDK for shipping on devices: 26

    • NDK Version: r25b

    • AGDE v22.2.69+ required for AGDE debugging.

Current Compatible Devices

UE 5.0 supports Android devices meeting the following specifications:

  • Android 8 or higher

  • 64-bit Arm-based CPU

  • Compatible GPUs

    • Mali T8xx, G71, G72, G76, G77, G78 and G710 series

    • Adreno 5xx, 6xx or 7xx series

    • PowerVR GM9xxx series

    • Xclipse 920

  • Compatible Graphics APIs

    • OpenGL ES 3.2

    • Vulkan supported on Android 10 or later devices with compatible drivers

Version History

UE Version

Android Studio Version

Minimum Android SDK Version

Android NDK Version

Notes

5.1

Android Studio 4.0

Recommended: SDK 32 Minimum: SDK 30

NDK r25b

While SDK 30 is the minimum needed to compile on your system, SDK 26 is the minimum SDK you can target for shipping projects on devices.

5.0

Android Studio 4.0

SDK 23

NDK r21e

Minimum SDK version required to use Android File Server (AFS) is 26.

4.26.2 - 4.27

Android Studio 4.0

NDK r21b

4.25

Android Studio 3.5.3

NDK r21b

While we recommend using NDK r21b on Unreal Engine 4.25, it also supports NDK r20b to address compatibility issues on some low-end devices.

4.21 - 4.24

NDK r14b

4.19 - 4.20

NDK r12b